mscorlib 4.0.0.0 System.Object System.Diagnostics.DebuggerDisplay("Concurrent={ConcurrentTaskCount}, Exclusive={ExclusiveTaskCount}") System.Diagnostics.DebuggerTypeProxy(typeof(System.Threading.Tasks.ConcurrentExclusiveSchedulerPair/SchedulerDebuggerView)) To be added.

Provides task schedulers that coordinate to execute tasks while ensuring that concurrent tasks may run concurrently and exclusive tasks never do.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class that targets the specified scheduler.

  The target scheduler on which this pair should execute.
- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class that targets the specified scheduler with a maximum concurrency level.

  The target scheduler on which this pair should execute.
  The maximum number of tasks to run concurrently.
- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class that targets the specified scheduler with a maximum concurrency level and a maximum number of scheduled tasks that may be processed as a unit.

  The target scheduler on which this pair should execute.
  The maximum number of tasks to run concurrently.
  The maximum number of tasks to process for each underlying scheduled task used by the pair.
- Method
  4.0.0.0
  System.Void

  Calling is optional. It is necessary only if you're relying on the property for notification that all processing has been completed.

  Informs the scheduler pair that it should not accept any more tasks.

- Property
  4.0.0.0
  System.Threading.Tasks.Task To be added. To be added.

  Gets a that will complete when the scheduler has completed processing.

- Property
  4.0.0.0
  System.Threading.Tasks.TaskScheduler To be added. To be added.

  Gets a that can be used to schedule tasks to this pair that may run concurrently with other tasks on this pair.

- Property
  4.0.0.0
  System.Threading.Tasks.TaskScheduler To be added. To be added.

  Gets a that can be used to schedule tasks to this pair that must run exclusively with regards to other tasks on this pair.